#
# spec file for package ImageMagick (Version 6.3.5.10)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs dcraw diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel ghostscript-fonts-other ghostscript-fonts-std ghostscript-library glib glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdjvulibre-devel libdjvulibre15 libdrm libexif libexif-devel libexpat-devel libexpat1 libgcc42 libgimpprint libgomp42 libjasper libjasper-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libwmf libwmf-devel libwmf-gnome libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           ImageMagick
BuildRequires:  dcraw freetype2-devel gcc-c++ ghostscript-fonts-other ghostscript-fonts-std
BuildRequires:  ghostscript-library glib libdjvulibre-devel liblcms-devel libtiff-devel libwmf-devel
BuildRequires:  libxml2-devel pkgconfig
%if %suse_version > 1020
BuildRequires:  libexif-devel libjasper-devel
%else
BuildRequires:  libexif libjasper
%endif
Obsoletes:      imagemag
Provides:       imagemag
%define xtp_version 5.4.3
%define prefix /usr
%define perl_prefix /usr
License:        Any permissive
Group:          Productivity/Graphics/Other
AutoReqProv:    on
Version:        6.3.5.10
Release:        2.4
Summary:        Viewer and Converter for Images
Url:            http://www.imagemagick.org
Source:         ImageMagick-6.3.5-10.tar.bz2
Source2:        xtp-%{xtp_version}.tar.bz2
Patch1:         ImageMagick-%{version}-examples.patch
Patch2:         ImageMagick-%{version}-doc.patch
Patch3:         ImageMagick-%{version}-autoconf.patch
Patch4:         ImageMagick-%{version}-CVE-2008-1097.patch
Patch5:         ImageMagick-%{version}-SA35216.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package

%package -n perl-PerlMagick
License:        Public Domain, Freeware
Requires:       perl = %{perl_version} ImageMagick = %{version}
Summary:        Perl interface for ImageMagick
Group:          Development/Libraries/Perl
AutoReqProv:    on

%package devel
License:        Any permissive
Requires:       ImageMagick = %{version} libMagick10 = %{version} libtiff-devel libjpeg-devel liblcms-devel freetype2-devel xorg-x11-devel libpng-devel bzip2 libxml2-devel libjasper libwmf-devel
Summary:        Include Files and Libraries Mandatory for Development.
Group:          Development/Libraries/C and C++
AutoReqProv:    on

%package extra
License:        Any permissive
Requires:       ImageMagick = %{version} libMagick10 = %{version}
Summary:        Viewer and Converter for Images - extra codecs
Group:          Productivity/Graphics/Other
#delegates configured in delegates.xml that imagemagick can use
Recommends:     autotrace dcraw transfig ghostscript_any hp2xx netpbm ghostpcl libwmf
AutoReqProv:    on

%package -n libMagick10
License:        Any permissive
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Other
Suggests:       ImageMagick-extra = %{version}
AutoReqProv:    on

%package -n libWand10
License:        Any permissive
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Other
AutoReqProv:    on

%package -n libMagick++10
License:        Any permissive
Requires:       ImageMagick = %{version}
Summary:        C++ Interface for ImageMagick - runtime library
Group:          Development/Libraries/C and C++
AutoReqProv:    on
# was last used in openSUSE 10.2
Provides:       ImageMagick-Magick++ = 6.3.3
Obsoletes:      ImageMagick-Magick++ <= 6.3.3

%package -n libMagick++-devel
License:        Any permissive
Requires:       ImageMagick-devel = %{version} libMagick++10 = %{version} libstdc++-devel
Summary:        C++ Interface for ImageMagick - files mandatory for development
Group:          Development/Libraries/C and C++
Provides:       ImageMagick-Magick++-devel
Obsoletes:      ImageMagick-Magick++-devel <= %{version}
AutoReqProv:    on

%prep
rm -rf xtp-%{xtp_version}
%setup -n ImageMagick-6.3.5 -b 2
%patch1
%patch2
%patch3
%patch4
%patch5

%build
cp -f /usr/share/libtool/libltdl/*.{c,h} ltdl
mv ltdl/ltdl.c ltdl/ltdl.c.orig
sed -e "s:<config.h>:<magick/magick-config.h>:" ltdl/ltdl.c.orig >ltdl/ltdl.c
autoreconf --force --install
pushd ../xtp-%{xtp_version}
autoreconf --force --install
popd
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%if %suse_version > 1000
  export CFLAGS="$CFLAGS -fstack-protector-all"
  export CFLAGS="$CXXFLAGS -fstack-protector-all"
%endif
export LDFLAGS="-L%{_libdir}"
./configure --prefix=%{prefix} --libdir=%{_libdir} \
         --mandir=%{_mandir} --enable-shared --without-frozenpaths \
	 --with-largefiles  --with-magick_plus_plus --with-modules\
	 --with-threads --without-perl --disable-static --disable-openmp \
	 --enable-libtool-verbose
# openmp does not work with perl module
make %{?jobs:-j%jobs} all
cd PerlMagick
perl Makefile.PL
make %{?jobs:-j%jobs} LD_RUN_PATH="/usr/%{_lib}:/usr/X11R6/%{_lib}"
#
cd ../../xtp-%{xtp_version}
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} --libdir=%{_libdir} --mandir=%{_mandir} 
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
make install \
     DESTDIR=$RPM_BUILD_ROOT \
     pkgdocdir=%{_defaultdocdir}/%{name}/
install -m 644 ChangeLog \
        QuickStart.txt README.txt \
	$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cd PerlMagick
make DESTDIR=$RPM_BUILD_ROOT LD_RUN_PATH="/usr/%{_lib}:/usr/X11R6/%{_lib}" install_vendor
%perl_process_packlist     
cd ../Magick++
  rm -rf demo/{.deps,.libs,*.C,*.o,Makefile*,run_demos.bat} `find demo -type f -perm +111`
  mv demo/makefile.2 demo/Makefile
cd ..
pushd ../xtp-%{xtp_version}
  make DESTDIR=$RPM_BUILD_ROOT install 
popd
mv -f $RPM_BUILD_ROOT/usr/share/ImageMagick*/config/* $RPM_BUILD_ROOT/%{_libdir}/ImageMagick*/config
rmdir $RPM_BUILD_ROOT/usr/share/ImageMagick*/config
mv -f $RPM_BUILD_ROOT/usr/share/ImageMagick*/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cp -a scenes $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
find $RPM_BUILD_ROOT/%{_libdir} -name "*.la" -print0 | xargs -0 -r perl -spi -e "s@ -L/usr/src[^ ]*@@g;s@ /usr/lib/libltdl.la@@g" 
rm -f $RPM_BUILD_ROOT/%{_libdir}/libltdl.*
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libMagick10
%run_ldconfig

%postun -n libMagick10
%run_ldconfig

%post -n libWand10
%run_ldconfig

%postun -n libWand10
%run_ldconfig

%post -n libMagick++10
%run_ldconfig

%postun -n libMagick++10
%run_ldconfig

%files
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%{prefix}/bin/[^MW]*
%doc %{_mandir}/man1/*

%files -n libMagick10
%defattr(-,root,root)
%dir %{_libdir}/ImageMagick*/config
%config %{_libdir}/ImageMagick*/config/*
%{_libdir}/libMagick.so.10*
%dir %{_libdir}/ImageMagick*
%dir %{_libdir}/ImageMagick*/modules*
%dir %{_libdir}/ImageMagick*/modules*/*
%exclude %{_libdir}/ImageMagick*/modules*/*/wmf.*
%exclude %{_libdir}/ImageMagick*/modules*/*/jp2.*
%exclude %{_libdir}/ImageMagick*/modules*/*/djvu.*
%{_libdir}/ImageMagick*/modules*/*/*.so
%{_libdir}/ImageMagick*/modules*/*/*.la

%files -n libWand10
%defattr(-,root,root)
%{_libdir}/libWand.so.10*

%files extra
%defattr(-,root,root)
%{_libdir}/ImageMagick*/modules*/*/wmf.so
%{_libdir}/ImageMagick*/modules*/*/wmf.la
%{_libdir}/ImageMagick*/modules*/*/jp2.so
%{_libdir}/ImageMagick*/modules*/*/jp2.la
%{_libdir}/ImageMagick*/modules*/*/djvu.so
%{_libdir}/ImageMagick*/modules*/*/djvu.la

%files devel
%defattr(-,root,root)
%{_libdir}/libMagick.so
%{_libdir}/libWand.so
%{prefix}/include/magick
%{prefix}/include/wand
%{prefix}/bin/Magick-config
%{prefix}/bin/Wand-config
%{_libdir}/pkgconfig/ImageMagick.pc
%{_libdir}/pkgconfig/Wand.pc

%files -n perl-PerlMagick
%defattr(-,root,root)
%doc PerlMagick/README.txt
%doc PerlMagick/demo
/var/adm/perl-modules/ImageMagick
%doc %{_mandir}/man3/Image::Magick.3pm*
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image

%files -n libMagick++10
%defattr(-,root,root)
%{_libdir}/libMagick++.so.*

%files -n libMagick++-devel
%defattr(-,root,root)
%doc Magick++/demo
%doc Magick++/NEWS Magick++/README Magick++/AUTHORS Magick++/COPYING
%{_libdir}/libMagick++.so
%{prefix}/include/Magick++.h
%{prefix}/include/Magick++
%{prefix}/bin/Magick++-config
%{_libdir}/pkgconfig/ImageMagick++.pc

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description devel
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description extra
This package adds support for djvu, wmf and jpeg2000 formats and
installs optional helper applications.

ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description -n libMagick10
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description -n libWand10
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description -n perl-PerlMagick
PerlMagick is an objected-oriented Perl interface to ImageMagick. Use
the module to read, manipulate, or write an image or image sequence
from within a Perl script. This makes it suitable for Web CGI scripts.
You must have ImageMagick 4.0.8 above and Perl version 5.002 or greater
installed on your system.



Authors:
--------
    John Cristy <cristy@dupont.com>

%description -n libMagick++10
This is Magick++, the object-oriented C++ API for the ImageMagick
image-processing library.

Magick++ supports an object model inspired by PerlMagick. Magick++
should be faster than PerlMagick since it is written in a compiled
language which is not parsed at run-time. This makes it suitable for
Web CGI programs. Images support implicit reference counting so that
copy constructors and assignment incur almost no cost. The cost of
actually copying an image (if necessary) is done just before
modification and this copy is managed automatically by Magick++.
De-referenced copies are automatically deleted. The image objects
support value (rather than pointer) semantics so it is trivial to
support multiple generations of an image in memory at one time.



Authors:
--------
    Bob Friesenhahn <bfriesen@simple.dallas.tx.us>

%description -n libMagick++-devel
This is Magick++, the object-oriented C++ API for the ImageMagick
image-processing library.

Magick++ supports an object model inspired by PerlMagick. Magick++
should be faster than PerlMagick since it is written in a compiled
language which is not parsed at run-time. This makes it suitable for
Web CGI programs. Images support implicit reference counting so that
copy constructors and assignment incur almost no cost. The cost of
actually copying an image (if necessary) is done just before
modification and this copy is managed automatically by Magick++.
De-referenced copies are automatically deleted. The image objects
support value (rather than pointer) semantics so it is trivial to
support multiple generations of an image in memory at one time.



Authors:
--------
    Bob Friesenhahn <bfriesen@simple.dallas.tx.us>

%changelog
* Thu Jun 04 2009 - nadvornik@suse.cz
- fixed integer overflow in XMakeImage [SA35216, bnc#507728]
* Fri May 23 2008 - nadvornik@suse.cz
- fixed CVE-2008-1097 PCX buffer overflow [bnc#391366]
* Tue Sep 25 2007 - nadvornik@suse.cz
- updated to 6.3.5-10: fixes CVE-2007-4985, CVE-2007-4986,
  CVE-2007-4987, CVE-2007-4988 [#327021]
* Fri Aug 03 2007 - coolo@suse.de
- fix provides for ImageMagick-Magick++ (#293401)
* Sat Jul 28 2007 - coolo@suse.de
- remove requires on ImageMagick-Magick++
* Wed Jul 25 2007 - nadvornik@suse.cz
- updated to 6.3.5-3, see ChangeLog for details
- reduced the requrements of the main package,
  created ImageMagick-extra with full set of requirements
- adjusted to Shared Library Policy:
  * created libMagick10 and libWand10
  * renamed ImageMagick-Magick++ -> libMagick++10
  * renamed ImageMagick-Magick++-devel -> libMagick++-devel
* Thu Apr 19 2007 - nadvornik@suse.cz
- updated to 6.3.3-8, see ChangeLog for details
- fixed various crashes on malformed input, including
  CVE-2007-1797 and CVE-2007-1667 [#258253]
- do not build static libs
- adjusted BuildRequires for libjasper-devel
* Tue Feb 27 2007 - dmueller@suse.de
- adjust BuildRequires: libexif -> libexif-devel
* Mon Feb 19 2007 - mvaner@suse.cz
- Array boundaries fix in bezier path (#243280)
  - bezier-array.patch
* Mon Oct 30 2006 - nadvornik@suse.cz
- fixed overflows in dcm and palm codecs CVE-2006-5456 [#215685]
* Wed Oct 18 2006 - postadal@suse.cz
- disabled -fstack-protector for %%suse_version <= 1000
* Tue Oct 17 2006 - nadvornik@suse.cz
- updated to 1.3.0-0
  * enhanced -fx
  * many bugfixes, see ChangeLog
* Thu Jul 13 2006 - nadvornik@suse.cz
- updated to 1.2.8-1
  * security fixes merged upstream
  * fixed compilation with new libpng
  * many other fixes
* Wed Mar 15 2006 - nadvornik@suse.cz
- fixed rpath in perl module
* Fri Feb 03 2006 - nadvornik@suse.cz
- better fix for format string vulnerability
  CVE-2006-0082 [#141390]
- fixed shell metacharacters in file names passed into delegates
  CVE-2005-4601 [#141999]
- added version numbers to devel subpackage requirements
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - meissner@suse.de
- Use -fstack-protector.
* Tue Dec 20 2005 - nadvornik@suse.cz
- updated to 6.2.5
* Wed Sep 21 2005 - nadvornik@suse.cz
- updated to 6.2.4
* Sun Sep 18 2005 - postadal@suse.cz
- parallelize build
* Wed Sep 07 2005 - nadvornik@suse.cz
- fixed URL in man pages [#115568]
* Thu Jul 21 2005 - nadvornik@suse.cz
- moved .la files back to main package, they are needed for runtime
* Fri Jul 15 2005 - nadvornik@suse.cz
- updated to 6.2.3
- fixed incorrect char type usage [#95086]
* Tue May 03 2005 - nadvornik@suse.cz
- updated to 6.2.2, fixes crash in PNM reader [#80428]
* Wed Mar 09 2005 - nadvornik@suse.cz
- fixed format string vulnerability [#67273]
* Wed Mar 02 2005 - nadvornik@suse.cz
- linked PerlMagick correcly
- added xorg-x11-devel to requires of devel subpackage
* Sat Jan 22 2005 - ro@suse.de
- fix libltdl removal on lib64
* Tue Jan 18 2005 - nadvornik@suse.cz
- updated to 6.1.8
  * fixed .psd file read overflow (CAN-2005-0005) [#49839]
* Mon Nov 01 2004 - nadvornik@suse.cz
- fixed integer overflow in EXIF handling [#47745]
* Tue Sep 14 2004 - nadvornik@suse.cz
- branched new subpackage ImageMagick-Magick++-devel [#45245]
* Tue Sep 14 2004 - nadvornik@suse.cz
- removed Requires: ImageMagick-devel from ImageMagick-Magick++ [#45245]
* Tue Sep 07 2004 - nadvornik@suse.cz
- updated to 6.0.7
  * fixed possible miscompilation of included headers
  * fixed PerlMagick's Profile crash [#44710]
  * other bugfixes
* Tue Aug 31 2004 - nadvornik@suse.cz
- updated to 6.0.6-2:
  * fixed decoding runlength-encoded BMP [#44081]
  * enabled LZW compression
* Mon Aug 09 2004 - ro@suse.de
- fix build with current automake
* Mon Jun 28 2004 - nadvornik@suse.cz
- updated to 6.0.2
* Fri Mar 26 2004 - nadvornik@suse.cz
- adjusted default fonts
* Fri Feb 06 2004 - nadvornik@suse.cz
- update to 5.5.7-16
- added run_ldconfig macro
- build as user
* Tue Sep 09 2003 - nadvornik@suse.cz
- fixed annotate function [29748]
* Mon Sep 08 2003 - nadvornik@suse.cz
- fixed reading of tiff images [#25552]
* Thu Aug 28 2003 - nadvornik@suse.cz
- fixed output from Magick++-config --version
- compiled with -fno-strict-aliasing
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 29 2003 - nadvornik@suse.cz
- lib64 fixed
- filelist fixed
* Fri Jul 25 2003 - nadvornik@suse.cz
- updated to 5.5.7-10
- used perl_process_packlist
* Mon Feb 10 2003 - nadvornik@suse.cz
- updated to 5.5.4-4:
  - fixed bug [#23111]
- copied ltdl sources from libtool package
* Thu Dec 19 2002 - adrian@suse.de
- add liblcms-devel to #neededforbuild
* Thu Nov 21 2002 - nadvornik@suse.cz
- updated to 5.5.1
* Wed Nov 20 2002 - ro@suse.de
- fix build with latest automake
* Fri Nov 01 2002 - nadvornik@suse.cz
- fixed detection of lpr [#21187]
- fixed to compile with new libjasper
* Tue Sep 03 2002 - nadvornik@suse.cz
- do not try to detect supported ghostscript devices [#18424]
* Thu Aug 29 2002 - nadvornik@suse.cz
- fixed typo in delegates.mgk
* Sat Aug 10 2002 - kukuk@suse.de
- Fix filelist for threaded perl
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - nadvornik@suse.cz
- update to 5.4.7-4
* Tue Jul 02 2002 - nadvornik@suse.cz
- update to 5.4.7
* Fri May 03 2002 - meissner@suse.de
- %%_lib fixes
* Wed Mar 06 2002 - nadvornik@suse.cz
- added symlink index.html->ImageMagick.html in doc directory
* Mon Feb 04 2002 - nadvornik@suse.cz
- update to 5.4.2-3, xtp updated to 5.4.3
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - nadvornik@suse.cz
- html files installed correctly
* Tue Jan 15 2002 - nadvornik@suse.cz
- update to 5.4.2:
    - new scripting language utility, conjure
* Mon Dec 03 2001 - nadvornik@suse.cz
- update to 5.4.1:
    - better SVG support
    - changed default background color to none
    - eliminated the libMagick.so dependancy on libtiff, libpng, libjpeg
    - coders/wmf.c updated for libwmf 0.2
* Thu Oct 18 2001 - nadvornik@suse.cz
- update to 5.4.0:
    - Text drawing now handles UTF8-encoding
    - Added a MATLAB encoder
    - Uses SHA instead of MD5 for image signatures
* Fri Aug 24 2001 - nadvornik@suse.cz
- update to 5.3.8:
    - Added a new method SetImageClipMask().
    - Added @ to the image geometry specification. Use it to specify
  the square-root of the maximum area in pixels of an image
    - many bugfixes
* Tue Aug 21 2001 - nadvornik@suse.cz
- removed wv-devel from neededforbuild, it is no longer needed
- fixed segfault in svg converting
- fixed doc installation
* Wed Aug 15 2001 - nadvornik@suse.cz
- compiled with libjasper
* Tue Jul 24 2001 - nadvornik@suse.cz
- update to 5.3.7
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Wed Jun 27 2001 - nadvornik@suse.cz
- update to 5.3.6
- dropped ImageMagick-pictures subpackage
* Tue Jun 12 2001 - nadvornik@suse.cz
- update to 5.3.5
- fixed to compile with new autoconf
* Tue Apr 17 2001 - kukuk@suse.de
- Remove magickcpp_version macro
* Thu Apr 05 2001 - nadvornik@suse.cz
- updated to 5.3.1
* Tue Mar 27 2001 - ro@suse.de
- libtoolize main dir as well
* Tue Mar 27 2001 - ro@suse.de
- libtoolize
* Fri Mar 09 2001 - nadvornik@suse.cz
- updated to 5.3.0
- fixed neededforbuild
* Mon Feb 19 2001 - nadvornik@suse.cz
- fixed filelist
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 5.2.9
* Tue Dec 12 2000 - nadvornik@suse.cz
- compiled with option --with-threads
* Tue Dec 05 2000 - nadvornik@suse.cz
- update to 5.2.6
- now uses freetype2
* Thu Nov 16 2000 - nadvornik@suse.cz
- update to 5.2.5
* Tue Nov 14 2000 - nadvornik@suse.cz
- fixed writing transparent xpm files
* Wed Nov 08 2000 - nadvornik@suse.cz
- changed to long names
-    imagemag -> ImageMagick
-    magickd  -> ImageMagick-devel
-    magickpp -> ImageMagick-Magick++
-    plmagick -> perl-PerlMagick
-    impict   -> ImageMagick-pictures
* Wed Oct 18 2000 - nadvornik@suse.cz
- update to 5.2.4
- compiled with --with-modules
* Mon Sep 18 2000 - nadvornik@suse.cz
- fixed usage of suse_update_config
* Thu Sep 14 2000 - nadvornik@suse.cz
- drop subpackage imfilm, removed povray from neededforbuild
- povray scripts are now in /usr/share/doc/imagemag/scenes
* Thu Sep 14 2000 - nadvornik@suse.cz
- update to 5.2.3
- new subpackage magickd for includes and static libs
- changed prefix to /usr
- removed --without-largefiles
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Thu Jun 08 2000 - nadvornik@suse.cz
- update to latest source from ftp
- added source url
* Tue Jun 06 2000 - nadvornik@suse.cz
- images, scenes -> /usr/share/ImageMagick
- doc -> %%{_defaultdocdir}/imagemag
* Mon Jun 05 2000 - nadvornik@suse.cz
- used --without-largefiles
* Thu Jun 01 2000 - nadvornik@suse.cz
- xtp updated to 5.2.0
* Mon May 29 2000 - nadvornik@suse.cz
- updated to 5.2.0
* Fri May 19 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- changed group
* Fri Apr 28 2000 - nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Fri Apr 07 2000 - bk@suse.de
- added suse config update macro
* Thu Apr 06 2000 - nadvornik@suse.cz
- update to 5.1.1
- added BuildRoot
* Wed Jan 19 2000 - ro@suse.de
- fixed specfile
* Mon Jan 03 2000 - ro@suse.de
- update to 5.1.0
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 4.2.9
* Mon Jun 28 1999 - ro@suse.de
- update to 4.2.7
* Wed May 19 1999 - ro@suse.de
- fixed path in specfile
* Wed May 19 1999 - ro@suse.de
- fixed specfile
* Wed May 19 1999 - ro@suse.de
- update to 4.2.5
- new subpackage: magickpp (aka Magick++) a C++-API for libmagick
* Fri Feb 19 1999 - ro@suse.de
- update to 4.2.0
* Mon Jan 18 1999 - bs@suse.de
- set libraries to 755
* Wed Jan 13 1999 - ro@suse.de
- update to 4.1.7 / PerlMagick 1.58
* Mon Dec 14 1998 - ro@suse.de
- update to 4.1.6
- disabled unix98/ptys in configure.in
* Tue Dec 01 1998 - ro@suse.de
- update to 4.1.5 / PerlMagick 1.53
* Tue Nov 17 1998 - ro@suse.de
- update to 4.1.4
- switched to use configure instead of imake
* Mon Aug 17 1998 - ro@suse.de
- update to 4.0.9
* Fri Aug 14 1998 - ro@suse.de
- fixed online documentation
  /usr/doc/packages/ImageMagick/ImageMagick.html is start page
- added new subpackage PerlMagick "plmagick"
* Thu Aug 13 1998 - ro@suse.de
- update to 4.0.8
  fixed default for printCommand in Display with a app-defaults file
* Mon Jun 29 1998 - ro@suse.de
- update to version 4.0.7
  needs libpng-1.0.1 (and povray built with that version)
* Tue Apr 07 1998 - ro@suse.de
- update to version 4.0.4
  added freetype support
  needs libpng-1.0.1 (and povray built with that version)
* Sun Mar 01 1998 - ro@suse.de
- update to version 4.0.1
* Sun Nov 16 1997 - ro@suse.de
- fixed Symlink /usr/doc/packages/ImageMagick
* Fri Nov 14 1997 - ro@suse.de
- new version 3.9.2
* Tue Nov 11 1997 - ro@suse.de
- imfilm and impict are built from same specfile
* Mon Nov 03 1997 - ro@suse.de
- ready for autobuild
